package com.th.demo.service.impl.ware;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.th.demo.mapping.ware.ChangeRecordMapper;
import com.th.demo.model.system.Type;
import com.th.demo.model.ware.ChangeRecord;
import com.th.demo.service.ware.ChangeRecordService;
import com.th.demo.tools.JSONTools;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("ChangeRecordService")
public class ChangeRecordServiceImpl implements ChangeRecordService {

    @Autowired
    public ChangeRecordMapper changeRecordMapper;
    int num = 0;
    String result = Type.FAIL;


    @Override
    public String query(int page, int rows, String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, Date fromDate, Date toDate, String userId, String belongId) {
        PageHelper.startPage(page, rows);
        List<ChangeRecord> list=changeRecordMapper.select(  wareName,   stackName,model,materialName, standard, customerName,
                plateNo, fromDate,toDate,  userId,    belongId);
        PageInfo<ChangeRecord> pageInfo = new PageInfo<>(list);
        result = JSONTools.toStringyyyyMMddHHmmss(pageInfo);
        return result;
    }

    @Override
    public String queryTotal(int page, int rows, String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, Date fromDate, Date toDate, String userId, String belongId) {
        List<ChangeRecord> list=changeRecordMapper.selectTotal(  wareName,   stackName,model,materialName, standard, customerName,
                plateNo, fromDate,toDate,  userId,    belongId);
        result = JSONTools.toStringyyyyMMddHHmmss(list);
        return result;
    }
}
